ECHO OFF
REM #***********************************************************************
REM #* (c) Copyright IBM Corp. 2007 All rights reserved.                   *
REM #*                                                                     *
REM #* This sample program is owned by International Business Machines     *
REM #* Corporation or one of its subsidiaries ("IBM") and is copyrighted   *
REM #* and licensed, not sold.                                             *
REM #*                                                                     *
REM #* You may copy, modify, and distribute this sample program in any     *
REM #* form without payment to IBM,  for any purpose including developing, *
REM #* using, marketing or distributing programs that include or are       *
REM #* derivative works of the sample program.                             *
REM #*                                                                     *
REM #* The sample program is provided to you on an "AS IS" basis, without  *
REM #* warranty of any kind.  IBM HEREBY  EXPRESSLY DISCLAIMS ALL          *
REM #* WARRANTIES EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO *
REM #* THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTIC- *
REM #* ULAR PURPOSE. Some jurisdictions do not allow for the exclusion or  *
REM #* limitation of implied warranties, so the above limitations or       *
REM #* exclusions may not apply to you.  IBM shall not be liable for any   *
REM #* damages you suffer as a result of using, modifying or distributing  *
REM #* the sample program or its derivatives.                              *
REM #*                                                                     *
REM #* Each copy of any portion of this sample program or any derivative   *
REM #* work,  must include a the above copyright notice and disclaimer of  *
REM #* warranty.                                                           *
REM #*                                                                     *
REM #***********************************************************************
REM
REM #***********************************************************************
REM #*                                                                     *
REM #* This shell script starts the ArcExplorer.  First, it adds the .jar  *
REM #* files for the ArcExplorer to the CLASSPATH environment variable.    *
REM #* It is assumed that "db2java.zip" already exists in the CLASSPATH.   *
REM #*                                                                     *
REM #***********************************************************************
REM Make environment variable changes local to this batch file
ECHO ON
SETLOCAL

REM Save original PATH
SET CWOLDPATH=%PATH%

REM Concatenate the ArcExplorer jar files to the CLASSPATH
SET CLASSPATH=xml.jar;aejava_help.jar;arcims_aej.jar;sde_sql3.jar;arcims_sdk.jar;%CLASSPATH%

java -Xms24m -Xmx256m com.esri.ae.AE

REM Restore the original PATH
SET PATH=%CWOLDPATH%
