#!/bin/sh

#***********************************************************************
#* (c) Copyright IBM Corp. 2007 All rights reserved.                   *
#*                                                                     *
#* This sample program is owned by International Business Machines     *
#* Corporation or one of its subsidiaries ("IBM") and is copyrighted   *
#* and licensed, not sold.                                             *
#*                                                                     *
#* You may copy, modify, and distribute this sample program in any     *
#* form without payment to IBM,  for any purpose including developing, *
#* using, marketing or distributing programs that include or are       *
#* derivative works of the sample program.                             *
#*                                                                     *
#* The sample program is provided to you on an "AS IS" basis, without  *
#* warranty of any kind.  IBM HEREBY  EXPRESSLY DISCLAIMS ALL          *
#* WARRANTIES EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO *
#* THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTIC- *
#* ULAR PURPOSE. Some jurisdictions do not allow for the exclusion or  *
#* limitation of implied warranties, so the above limitations or       *
#* exclusions may not apply to you.  IBM shall not be liable for any   *
#* damages you suffer as a result of using, modifying or distributing  *
#* the sample program or its derivatives.                              *
#*                                                                     *
#* Each copy of any portion of this sample program or any derivative   *
#* work,  must include a the above copyright notice and disclaimer of  *
#* warranty.                                                           *
#*                                                                     *
#***********************************************************************

#***********************************************************************
#*                                                                     *
#* This shell script starts the ArcExplorer.  First, it adds the .jar  *
#* files for the ArcExplorer to the CLASSPATH environment variable.    *
#* It is assumed that "db2java.zip" already exists in the CLASSPATH.   *
#*                                                                     *
#***********************************************************************

DIR=`dirname $0`
if [ ! -f $0 ]; then
    SCRIPT=`which $0`
    DIR=`dirname $SCRIPT`
fi
for i in $DIR/*.jar; do
    CLASSPATH=$i:$CLASSPATH
done
java -Xms24m -Xmx256m com.esri.ae.AE

